const express = require("express");

const router = express.Router();

const {
  createMarbleSpace,
  getMarbleSpaces,
  getMarbleSpace,
  updateMarbleSpace,
  deleteMarbleSpace,
} = require("../controllers/marbleSpaceController");

router.post("/", createMarbleSpace);

router.get("/", getMarbleSpaces);

router.get("/:id", getMarbleSpace);

router.put("/:id", updateMarbleSpace);

router.delete("/:id", deleteMarbleSpace);

module.exports = router;
